Subject: Re: bug#2473: usability issues on emacs's describe-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Feb 2009 12:54:48 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Fri, 27 Feb 2009 23:34:21 -0500
> 
> >     I see a 3rd way: make the buffer present an expandable list of modes,
> >     starting with just 2 items: the current major modes and "minor modes",
> >     e.g. similar to what we do in Speedbar, or maybe in Outline Mode
> >     (under "Hide Sublevels").  In ASCII art:
> 
> >       + Major Mode: RMAIL Mode
> >       + Minor Modes
> 
> > Using hiding is a good idea -- thanks.
> 
> > I think that partcular way would be inconvenient.  Specifically, it
> > would be a hassle to initially hide the major mode documentation.
> > That is what users most often want to see; making them type a command
> > to expose it would be a gratuitous hassle.
> 
> > So I suggest putting the partly-hidden minor mode list first,
> > followed by the totally visible major mode documentation.

For the record: I don't mind whether the major mode is first or last,
nor whether it is Initially shown expanded or collapsed.

> I don't think the difference with what we have now is worth
> the trouble.

The difference is twofold, IMO:

  . it presents a UI that's familiar to most users
  . it makes it easy to show initially a very short text without
    hampering user's ability to get to the information she needs most

If that's not worth the trouble, then what is?

(In case it wasn't clear, I wasn't suggesting that we make this change
before Emacs 23.1 is released.)